Bug 1199204 - [RFE] Content Hosts: UI should have some indicator as if/which capsule is providing content
Summary: [RFE] Content Hosts: UI should have some indicator as if/which capsule is pro...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Capsule
Version: Unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: Unspecified
Assignee: John Mitsch
QA Contact: Renzo Nuccitelli
URL:
Whiteboard:
: 1374977 1475612 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-05 16:05 UTC by Corey Welton
Modified: 2020-12-11 11:47 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 12:29:34 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 15818 0 None None None 2016-07-24 16:15:07 UTC
Red Hat Product Errata RHSA-2018:0336 0 normal SHIPPED_LIVE Important: Satellite 6.3 security, bug fix, and enhancement update 2018-02-21 22:43:42 UTC

Description Corey Welton 2015-03-05 16:05:02 UTC
Description of problem:
When a system is registered through a capsule, it subsequently shows up the Satellite's content hosts UI.  However, there is no indication  as to which systems are connected to capsules, if any and which those capsules are.

Version-Release number of selected component (if applicable):
Satellite-6.1.0-RHEL-7-20150303.0

How reproducible:


Steps to Reproduce:
1.  Register n number of clients to satellite; assure some of these are subscribed directly and some are through a capsule
2.  Go to content hosts UI
3.  Try to identify which systems are connected to capsules (or which those capsule are)

Actual results:
No differentiation indicating which clients are connected to which capsules.

Expected results:
Ability to make said determination

Additional info:

* Probably would want associated CLI functionality as well.
* Not sure what else you might use this for.  filter hosts based on parent capsule, etc?  Unsure.

Comment 7 Brad Buckingham 2016-07-24 16:15:05 UTC
Created redmine issue http://projects.theforeman.org/issues/15818 from this bug

Comment 8 Bryan Kearney 2016-08-05 20:06:13 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/15818 has been closed

Comment 9 Brad Buckingham 2016-09-13 19:36:20 UTC
*** Bug 1374977 has been marked as a duplicate of this bug. ***

Comment 12 Renzo Nuccitelli 2017-03-30 14:02:56 UTC
I have tested this on sat 6.2.9. snap 1. I followed links until finding the name of field on UI:

https://github.com/Katello/katello/pull/6211/files#diff-a7de84d2632e4182751dd164e8665548R65

So I registered a Content Host to Satellite itself and navigated to host detail and got no match for "Registered Through" search on UI. Maybe this change is not yet cherry picked. So I am moving this back to assigned.

Comment 13 jcallaha 2017-03-30 18:41:52 UTC
It looks like renzo is right that this change wasn't brought in.

-bash-4.2# sed -n 55,70p /opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.0.0.120/engines/bastion_katello/app/assets/javascripts/bastion_katello/content-hosts/details/views/content-host-info.html
        <div class="info-value">
          <a ng-click="reloadSearch(virtualGuestIds(host))"
               translate translate-n="host.subscription_facet_attributes.virtual_guests.length"
               translate-plural="{{ host.subscription_facet_attributes.virtual_guests.length }} Content Hosts">
             1 Content Host
          </a>
        </div>
      </div>

      <div ng-show="host.subscription_facet_attributes.virtual_host" class="detail">
        <span class="info-label" translate>Virtual Host</span>
        <div class="info-value">
          <a ui-sref="content-hosts.details.info({hostId: host.subscription_facet_attributes.virtual_host.id })">{{ host.subscription_facet_attributes.virtual_host.name }}</a>
        </div>
      </div>

Comment 15 Chris Duryee 2017-07-27 16:55:08 UTC
*** Bug 1475612 has been marked as a duplicate of this bug. ***

Comment 18 Renzo Nuccitelli 2017-10-13 15:24:55 UTC
Worked on Satellite 6.3 snap 19.

Comment 21 errata-xmlrpc 2018-02-21 12:29:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.